UserDataHelper.Mode (Apache Tomcat 9.0.81 API Documentation)

Package org.apache.tomcat.util.log

## Enum UserDataHelper.Mode

- java.lang.Object
- - java.lang.Enum<UserDataHelper.Mode>
  - - org.apache.tomcat.util.log.UserDataHelper.Mode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<UserDataHelper.Mode>`
  Enclosing class:
    UserDataHelper

      public static enum UserDataHelper.Mode
      extends java.lang.Enum<UserDataHelper.Mode>

  Log mode for the next log message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEBUG` |
    `INFO` |
    `INFO_THEN_DEBUG` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UserDataHelper.Mode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static UserDataHelper.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEBUG

          public static final UserDataHelper.Mode DEBUG

    - #### INFO_THEN_DEBUG

          public static final UserDataHelper.Mode INFO_THEN_DEBUG

    - #### INFO

          public static final UserDataHelper.Mode INFO

  - ### Method Detail

    - #### values

          public static UserDataHelper.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserDataHelper.Mode c : UserDataHelper.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserDataHelper.Mode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null